/*
 * Copyright (C) 2017-2019  Christopher J. Howard
 *
 * This file is part of Antkeeper Source Code.
 *
 * Antkeeper Source Code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Antkeeper Source Code is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Antkeeper Source Code.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "ansi-escape-codes.hpp"

const char* ANSI_CODE_RESET = "\u001b[0m";

const char* ANSI_CODE_BLACK = "\u001b[30m";
const char* ANSI_CODE_RED = "\u001b[31m";
const char* ANSI_CODE_GREEN = "\u001b[32m";
const char* ANSI_CODE_YELLOW = "\u001b[33m";
const char* ANSI_CODE_BLUE = "\u001b[34m";
const char* ANSI_CODE_MAGENTA = "\u001b[35m";
const char* ANSI_CODE_CYAN = "\u001b[36m";
const char* ANSI_CODE_WHITE = "\u001b[37m";

const char* ANSI_CODE_BRIGHT_BLACK = "\u001b[30;1m";
const char* ANSI_CODE_BRIGHT_RED = "\u001b[31;1m";
const char* ANSI_CODE_BRIGHT_GREEN = "\u001b[32;1m";
const char* ANSI_CODE_BRIGHT_YELLOW = "\u001b[33;1m";
const char* ANSI_CODE_BRIGHT_BLUE = "\u001b[34;1m";
const char* ANSI_CODE_BRIGHT_MAGENTA = "\u001b[35;1m";
const char* ANSI_CODE_BRIGHT_CYAN = "\u001b[36;1m";
const char* ANSI_CODE_BRIGHT_WHITE = "\u001b[37;1m";

const char* ANSI_CODE_BACKGROUND_BLACK = "\u001b[40m";
const char* ANSI_CODE_BACKGROUND_RED = "\u001b[41m";
const char* ANSI_CODE_BACKGROUND_GREEN = "\u001b[42m";
const char* ANSI_CODE_BACKGROUND_YELLOW = "\u001b[43m";
const char* ANSI_CODE_BACKGROUND_BLUE = "\u001b[44m";
const char* ANSI_CODE_BACKGROUND_MAGENTA = "\u001b[45m";
const char* ANSI_CODE_BACKGROUND_CYAN = "\u001b[46m";
const char* ANSI_CODE_BACKGROUND_WHITE = "\u001b[47m";

const char* ANSI_CODE_BACKGROUND_BRIGHT_BLACK = "\u001b[40;1m";
const char* ANSI_CODE_BACKGROUND_BRIGHT_RED = "\u001b[41;1m";
const char* ANSI_CODE_BACKGROUND_BRIGHT_GREEN = "\u001b[42;1m";
const char* ANSI_CODE_BACKGROUND_BRIGHT_YELLOW = "\u001b[43;1m";
const char* ANSI_CODE_BACKGROUND_BRIGHT_BLUE = "\u001b[44;1m";
const char* ANSI_CODE_BACKGROUND_BRIGHT_MAGENTA = "\u001b[45;1m";
const char* ANSI_CODE_BACKGROUND_BRIGHT_CYAN = "\u001b[46;1m";
const char* ANSI_CODE_BACKGROUND_BRIGHT_WHITE = "\u001b[47;1m";

const char* ANSI_CODE_BOLD = "\u001b[1m";
const char* ANSI_CODE_UNDERLINE = "\u001b[4m";
const char* ANSI_CODE_REVERSED = "\u001b[7m";



    
